<?php
/**
 * Author:		Shlomi
 * Date:		Sep 7, 2017 3:04:18 PM
 * Founder:		Shlomi Bazak (SBZsoft) (c)
 * File: 		FileChunk.inc
 *  
 * Description:
 *		
 */
namespace B2\FS;
// No direct access.
defined("__NSS__") or die("Restrected Access.");
class FileChunk {
	
	private $_data;
	private $_size;
	private $_sha1;
	
	/**
	 * 
	 * @param string $data
	 */
	public function __construct(&$data) {
		$this->_data = $data;
		$this->_size = mb_strlen($this->_data, "8bit");
		$this->_sha1 = sha1($this->_data);
	}
	
	public function getData(){
		return $this->_data;
	}
	
	public function getSize(){
		return $this->_size;
	}
	
	public function getHash(){
		return $this->_sha1;
	}
	
	
}