<?php
/**
 * Author:		Shlomi
 * Date:		Sep 4, 2017 11:53:46 AM
 * Founder:		Shlomi Bazak (SBZsoft) (c)
 * File: 		Api.inc
 *  
 * Description:
 *		
 */
 namespace B2\Entities;
// No direct access.
defined("__NSS__") or die("Restrected Access.");

class B2Api {
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_authorize_account.html">b2_authorize_account</a>
	 * @var string
	 */
	const AUTHORIZE_ACCOUNT = "b2_authorize_account";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_cancel_large_file.html">b2_cancel_large_file</a>
	 * @var string
	 */
	const CANCEL_LARGE_FILE = "b2_cancel_large_file";
	
	/** 
	 * <a href="https://www.backblaze.com/b2/docs/b2_create_bucket.html">b2_create_bucket</a>
	 * @var string
	 */
	const CREATE_BUCKET = "b2_create_bucket";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_delete_bucket.html">b2_delete_bucket</a>
	 * @var string
	 */
	const DELETE_BUCKET = "b2_delete_bucket";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_delete_file_version.html">b2_delete_file_version</a>
	 * @var string
	 */
	const DELETE_FILE_VERSION = "b2_delete_file_version";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_download_file_by_id.html">b2_download_file_by_id</a>
	 * @var string
	 */
	const DOWNLOAD_FILE_BY_ID = "b2_download_file_by_id";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_download_file_by_name.html">b2_download_file_by_name</a>
	 * @var string
	 */
	const DOWNLOAD_FILE_BY_NAME = "b2_download_file_by_name";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_get_download_authorization.html">b2_get_download_authorization</a>
	 * @var string
	 */
	const GET_DOWNLOAD_AUTH = "b2_get_download_authorization";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_finish_large_file.html">b2_finish_large_file</a>
	 * @var string
	 */
	const FINISH_LARGE_FILE = "b2_finish_large_file";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_get_file_info.html">b2_get_file_info</a>
	 * @var string
	 */
	const GET_FILE_INFO = "b2_get_file_info";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_get_upload_part_url.html">b2_get_upload_part_url</a>
	 * @var string
	 */
	const GET_UPLOAD_PART_URL = "b2_get_upload_part_url";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_get_upload_url.html">b2_get_upload_url</a>
	 * @var string
	 */
	const GET_UPLOAD_URL = "b2_get_upload_url";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_hide_file.html">b2_hide_file</a>
	 * @var string
	 */
	const HIDE_FILE  = "b2_hide_file";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_list_buckets.html">b2_list_buckets</a>
	 * @var string
	 */
	const LIST_BUCKETS = "b2_list_buckets";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_list_file_names.html">b2_list_file_names</a>
	 * @var string
	 */
	const LIST_FILE_NAMES = "b2_list_file_names";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_list_file_versions.html">b2_list_file_versions</a>
	 * @var string
	 */
	const LIST_FILE_VERSIONS = "b2_list_file_versions";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_list_parts.html">b2_list_parts</a>
	 * @var string
	 */
	const LIST_PARTS = "b2_list_parts";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_list_unfinished_large_files.html">b2_list_unfinished_large_files</a>
	 * @var string
	 */
	const LIST_UNFINISHED_LARGE_FILES = "b2_list_unfinished_large_files";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_start_large_file.html">b2_start_large_file</a>
	 * @var string
	 */
	const START_LARGE_FILE = "b2_start_large_file";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_update_bucket.html">b2_update_bucket</a>
	 * @var string
	 */
	const UPDATE_BUCKET = "b2_update_bucket";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_upload_file.html">b2_upload_file</a>
	 * @var string
	 */
	const UPLOAD_FILE = "b2_upload_file";
	
	/**
	 * <a href="https://www.backblaze.com/b2/docs/b2_upload_part.html">b2_upload_part</a>
	 * @var string
	 */
	const UPLOAD_PART = "b2_upload_part";

}
